Bug 31476 - Anaconda error
Anaconda error
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-12 01:47 EST by Brennan Thompson
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-02 11:56:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brennan Thompson 2001-03-12 01:47:22 EST
Try partionless install on 1.2GB FAT partition of an IBM Thinkpad 560Z.

Get the following error.


Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in 
__call__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1472, in 
doInstall
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 703, in 
mountFilesystems
  File "/usr/lib/anaconda/isys.py", line 46, in losetup
    targ = os.open(file, mode)
OSError: [Errno 2] No such file or directory: '/mnt/loophost/redhat.img'

Local variables in innermost frame:
file: /mnt/loophost/redhat.img
mode: 2
readonly: 0
device: /tmp/loop1

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iharddrive
HardDriveInstallMethod
p4
(dp5
S'fstype'
p6
S'vfat'
p7
sS'isMounted'
p8
I0
sS'fnames'
p9
(dp10

<failed>
Comment 1 Michael Fulbright 2001-03-12 11:16:56 EST
Were you installing to the same partition which contains the hard drive image
you were installing from?
Comment 2 Brennan Thompson 2001-03-12 11:24:07 EST
Yes.
Comment 3 Michael Fulbright 2001-04-02 11:56:52 EDT
This is currently not supported, we are going to have this fixed for the next
release.

You can try using CD's burned from the ISO images available for download, or put
the hard drive image on a different partition or drive.

Note You need to log in before you can comment on or make changes to this bug.